## org.eclipse.amp.agf3d
Class AgentEdit3DPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.gef.GenericEditPart
                  org.eclipse.amp.agf.gef.AgentNodeEditPart
                      org.eclipse.amp.agf.gef.AgentEditPart
                          org.eclipse.amp.agf3d.AgentEdit3DPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants

Direct Known Subclasses:
  MarkerEdit3DPart

    public class AgentEdit3DPart

extends AgentEditPart

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, SCALE`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`AgentEdit3DPart(IGraphics3DAdapter graphics3DAdapter, IGraphicsAdapter graphicsAdapter, boolean update)`

Method Summary
`IGraphics3DAdapter` `getGraphics3DAdapter()`
`org.eclipse.draw3d.geometry.IVector3f` `getRelativeLocation3D()`
`IShape3DProvider` `getShapeProvider()`
`boolean` `isUpdate()`
`void` `setModel(java.lang.Object model)`
`void` `setUpdate(boolean update)`

Methods inherited from class org.eclipse.amp.agf.gef.AgentEditPart
`getColorProvider, getFigureProvider, getGraphicsAdapter, getLabelProvider`

Methods inherited from class org.eclipse.amp.agf.gef.AgentNodeEditPart
`getModelSourceConnections, getModelTargetConnections, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, deactivate, propertyChange`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, addNotify, getAdapter, getContentPane, getDragTracker, getFigure, getSourceConnections, getTargetConnections, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### AgentEdit3DPart

    public AgentEdit3DPart(IGraphics3DAdapter graphics3DAdapter,
                           IGraphicsAdapter graphicsAdapter,
                           boolean update)

Method Detail

### setModel

    public void setModel(java.lang.Object model)

  Specified by:
    `setModel` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `setModel` in class `AgentEditPart`
  Parameters:
    `model` -
  See Also:
    `AgentEditPart.setModel(java.lang.Object)`

### isUpdate

    public boolean isUpdate()

### setUpdate

    public void setUpdate(boolean update)

### getRelativeLocation3D

    public org.eclipse.draw3d.geometry.IVector3f getRelativeLocation3D()

  Returns:

### getShapeProvider

    public IShape3DProvider getShapeProvider()

  Returns:
    the shapeProvider

### getGraphics3DAdapter

    public IGraphics3DAdapter getGraphics3DAdapter()

  Returns:
    the graphics3DAdapter